Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.util
Class RepositoryFileManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.util.RepositoryFileManager

    public class RepositoryFileManager

extends Object

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 24, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `GLOBAL_REPOSITORY_FILE_NAME`
`static String` | `REPOSITORY_EXTENTION`

Constructor Summary
`RepositoryFileManager(OWLModel model)`

Method Summary
`void` | `loadGlobalRepositories()`
`void` | `loadProjectRepositories()`
`static void` | `loadProjectRepositories(OWLModel owlModel)`
`void` | `saveGlobalRepositories()`
`void` | `saveProjectRepositories()`
`static void` | `saveProjectRepositories(OWLModel owlModel)`
`void` | `saveProjectRepositories(URI owlFileURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPOSITORY_EXTENTION

    public static final String REPOSITORY_EXTENTION

See Also:
  Constant Field Values

### GLOBAL_REPOSITORY_FILE_NAME

    public static final String GLOBAL_REPOSITORY_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### RepositoryFileManager

    public RepositoryFileManager(OWLModel model)

Method Detail

### loadProjectRepositories

    public static void loadProjectRepositories(OWLModel owlModel)

### saveProjectRepositories

    public static void saveProjectRepositories(OWLModel owlModel)

### loadProjectRepositories

    public void loadProjectRepositories()

### loadGlobalRepositories

    public void loadGlobalRepositories()

### saveProjectRepositories

    public void saveProjectRepositories(URI owlFileURI)

### saveProjectRepositories

    public void saveProjectRepositories()

### saveGlobalRepositories

    public void saveGlobalRepositories()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.